module pstomp;

type
   pstr = varying [10000] of char;
   stomp_ctx = array [1..2] of integer;

function fix(s : pstr) : pstr;

begin
   fix := substr(s, 1, s.length);
end;

[external('VMS_SIMPLE_STOMP_DEBUG')]
procedure stomp_debug(%REF debug : integer); extern;

[external('VMS_SIMPLE_STOMP_INIT')]
function stomp_init(%REF ctx : stomp_ctx;
                    %STDESCR host : packed array [l1..u1:integer] of char;
                    %REF port : integer) : integer; extern;

[external('VMS_SIMPLE_STOMP_WRITE')]
function stomp_write(%REF ctx : stomp_ctx;
                     %STDESCR qname : packed array [l1..u1:integer] of char;
                     %STDESCR msg : packed array [l2..u2:integer] of char) : integer; extern;

[external('VMS_SIMPLE_STOMP_READ')]
function stomp_read(%REF ctx : stomp_ctx;
                    %STDESCR qname : packed array [l1..u1:integer] of char;
                    %STDESCR msg : packed array [l2..u2:integer] of char;
                    %REF msglen : integer) : integer; extern;

[external('VMS_SIMPLE_STOMP_CLOSE')]
function stomp_close(%REF ctx : stomp_ctx) : integer; extern;

end.
